/*******************************************************************************
* Device      : AD18F02x
* Author      : XAD Application Team
* Version     : V0.0.1
* Date        : 20201201
* Description :系统外设驱动函数头文件
********************************************************************************/


#ifndef __PERIPH_H__
#define __PERIPH_H__

#include <stdio.h>
#include "AD18F02x.h"
#include "Periph.h"
#include "Common.h"
#include "CommDef.h"


#define ADDR_FLASH 0X1800
//#define ADDR_FLASH 0X1000
#define BUFF_SIZE 128
volatile const unsigned char Buf_FLASH[BUFF_SIZE] @ADDR_FLASH;


void Int_Enable();//中断使能

void FLASH_Read(uint16_t addr,uint8_t *pbuf,uint8_t len);
void FLASH_Erase(uint16_t addr);
void FLASH_Write(uint16_t addr,uint8_t *pbuf,uint8_t len);


#endif
