#include "AD18F02x.h"
#include "stdio.h"
#include "usart.h"

void putch( char byte) 
{
	while(!TXIF)		continue;
	TXREG = byte;
	while(!TXIF);
	while(!TRMT);
}

unsigned char getch() 
{
	/* retrieve one byte */
	while(!RCIF)		continue;
	return RCREG;	
}

unsigned char getche(void)
{
	unsigned char c;
	putch(c = getch());
	return c;
}

void Usart(void)
{
    TRISB0 = 0;
    TRISB1 = 1;
	
    UARTCLKEN = 1;
	UART_MUX = 1;
    INTCON = 0;	    // purpose of disabling the interrupts.
    UARTCON = 0x00;
	init_comms();	  // set up the USART - settings defined in usart.h
}


