/*******************************************************************************
* Device      : AD18F02x
* Author      : XAD Application Team
* Version     : V0.0.1
* Date        : 20201201
* Description :
********************************************************************************/


#ifndef __PERIPH_H__
#define __PERIPH_H__

#include <stdio.h>
#include "AD18F02x.h"
#include "Periph.h"
#include "Common.h"

/***********************FVR**********************/

#define FVR1V0            0    //2.0V
#define FVR_VBG           1    //2.1V
#define FVR_NTC           2    //2.2V
#define FVR_OP0OUT_ANA    3    //2.4V
#define FVR_OP1OUT_ANA    4    //2.6V
#define FVR_DAC0OUT       5    //2.7V
#define FVR_DAC1OUT       6    //2.9V
#define FVR_OLDO          7    //3.0V
#define FVR_LIRC_LDO_OUT  8    //3.1V
#define FVR_PA4           9    //3.3V
#define FVR_PB2           10    //3.6V
#define FVR_PC2           11    //3.7V
#define FVR_0V4           12    //3.8V
#define FVR_0V6           13    //4.1V
#define FVR_0V8           14    //4.2V
#define FVR_1V1           15    //4.3V

void FVR_Config(unsigned char ch,unsigned char OutEn,unsigned char mode);
#endif
