/*******************************************************************************
* Device      : AD18F02x
* Author      : XAD Application Team
* Version     : V0.0.1
* Date        : 20201201
* Description : 系统外设驱动函数头文件
********************************************************************************/


#ifndef __PERIPH_H__
#define __PERIPH_H__

#include <stdio.h>
#include "AD18F02x.h"
#include "Periph.h"
#include "Common.h"

//io：中断I/O通道选择（0~5）
//mode：选择是否开启I/O中断，1-打开中断，0-关闭中断
void PC_Int(unsigned char io,unsigned char mode);
#endif
