/*******************************************************************************
* Device      : AD18F02x
* Author      : XAD Application Team
* Version     : V0.0.1
* Date        : 20201201
* Description :
********************************************************************************/


#ifndef __PERIPH_H__
#define __PERIPH_H__

#include <stdio.h>
#include "AD18F02x.h"
#include "Periph.h"
#include "Common.h"

/**********************************LVD*****************************************/


#define LVD_2V2      2    //2.2V
#define LVD_2V4      3    //2.4V
#define LVD_2V6      4    //2.6V
#define LVD_2V7      5    //2.7V
#define LVD_2V9      6    //2.9V
#define LVD_3V0      7    //3.0V
#define LVD_3V1      8    //3.1V
#define LVD_3V3      9    //3.3V
#define LVD_3V6     10    //3.6V
#define LVD_3V7     11    //3.7V
#define LVD_3V8     12    //3.8V
#define LVD_4V1     13    //4.1V
#define LVD_4V2     14    //4.2V
#define LVD_4V3     15    //4.3V

void LVD_config(unsigned char Lvd_Mode,unsigned char Lvd_vol);
#endif
