/*******************************************************************************
* Device      : AD18F02x
* Author      : XAD Application Team
* Version     : V0.0.1
* Date        : 20201201
* Description : 系统外设驱动函数
********************************************************************************/

/********************************INCLUDES*************************************/
#include "Periph.h"


/*******************************************************************************
* Description    : 总中断使能，使能中断优先级
* Input          : None.
* Return         : None.
* Note           : None.
*******************************************************************************/

void Int_Enable()
{
	IPEN = 1;	   //使能中断优先级
	PEIE = 1;    // 外设GIEL
	GIE = 1;     // 全局GIEH
}
